Subject: Concern on endangered species.

From: Adam Van Wirdum <[email-masked]>
Date: 23 May 1995 06:49:58 GMT

Any comment on this posting from thewholistig group please?
MB TFG
Micheal Bailes wrote in response to >>FYI from Duke & Ayensu, ''Medicinal
Plants of China" (1985):

>There are very many Coori(aboriginal) Nations in Australia. We have lost
>most of their medicine. (We haven't named half the flora of Australia!!)
>What about  S. America, New Guinnea etc etc
>With two plants becoming extict evryday we have run out of time

This is horrifying! isn' there an "adopt an endangered plant" program and we
could send for seeds or cuttings and instructions on how to grow it? I mean,
what the heck are the boy scouts doing these days? They might like to get
invoved too. Where do I sign up?
Dan

"If you're not part of the solution, you're part of the problem"